Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ClientDataSinkImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ClientDataSinkImpl

All Implemented Interfaces:
  ClientDataSink

    public class ClientDataSinkImpl

extends java.lang.Object
implements ClientDataSink

Constructor Summary
`ClientDataSinkImpl(URLEncoder urlEncoder, java.security.Key hmacKey)`

Method Summary
`java.lang.String` | `getClientData()` Encoded the data written to the stream as a string that can be provided to the client.
`java.lang.String` | `getEncodedClientData()` Returns the client data encoded (for inclusion in a URL) via `URLEncoder`.
`java.io.ObjectOutputStream` | `getObjectOutputStream()` Provides the output stream to which data can be written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientDataSinkImpl

    public ClientDataSinkImpl(URLEncoder urlEncoder,
                              java.security.Key hmacKey)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getObjectOutputStream

    public java.io.ObjectOutputStream getObjectOutputStream()

  Description copied from interface: `ClientDataSink`
  Provides the output stream to which data can be written.

  Specified by:
    `getObjectOutputStream` in interface `ClientDataSink`
  Returns:
    the stream

### getClientData

    public java.lang.String getClientData()

  Description copied from interface: `ClientDataSink`
  Encoded the data written to the stream as a string that can be provided to the client. Implicitly closes the stream (if it has not already been closed).

  Specified by:
    `getClientData` in interface `ClientDataSink`
  Returns:
    the encoded data as a string
  See Also:
    `ClientDataEncoder.decodeClientData(String)`

### getEncodedClientData

    public java.lang.String getEncodedClientData()

  Description copied from interface: `ClientDataSink`
  Returns the client data encoded (for inclusion in a URL) via `URLEncoder`.

  Specified by:
    `getEncodedClientData` in interface `ClientDataSink`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.